Skip to content

Validate coupon

GET
/api/v2.0/stores/{storeId}/members/{memberId}/coupons/{couponCode}/validate
curl --request GET \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/coupons/WELCOME15/validate \
--header 'Authorization: Bearer <token>'

This endpoint validates a coupon code for a specific member.

storeId
required
string

The store id

Example
your-store-id
memberId
required
string

The member id

Example
m_nsr714RRBEHX
couponCode
required
string

The coupon code

Example
WELCOME15

OK

Media typeapplication/json
object
is_ok
boolean
details
string
nullable
Examplegenerated
{
"is_ok": true,
"details": "example"
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}